
*##############################################################################################*
*                     #################################################                        *
*                     #      INSTRUMENTAL VARIABLE REGRESSION         #                        *
*                     #################################################                        *
*##############################################################################################*

*NOTE: Robust SE are not used in the comparison because Hausman cannot handle them in some models. IVREGS with Robust SE are very close to the IVREGS with Robust SE.* 
*NOTE: I have also dropped the decade fixed effects because some fixed effect are dropped in the first stage and not the second, making the models non-comparable.

**************
* BASE MODEL *
*************

ivreg2 furpVOTE rbase elf (dcen = popWDI UKcolony surface noncontig), first
  outreg dcen rbase elf using Book_QAIIa.IVregression, replace se 3aster coefastr bdec(2) title (Instrumental Variable Regression)
ivendog 
ivreg furpVOTE rbase elf (dcen = popWDI UKcolony surface noncontig)
estimates store ivreg
reg furpVOTE dcen rbase elf 
estimates store reg
hausman ivreg reg

**************
* FULL MODEL *
**************

ivreg2 furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface), first 
  outreg dcen rbase przcon prznoncon tnre age mixed majplr Xlaw using Book_QAIIa.IVregression, append replace se 3aster coefastr bdec(2) title (Instrumental Variable Regression)
ivendog
ivreg2 furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface)
estimates store ivreg
reg furpVOTE dcen rbase przcon prznoncon tnre age mixed majplr Xlaw 
estimates store reg
hausman ivreg reg

**************************
* DECENTRALIZATION INDEX *
**************************

ivreg2 furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcenIndex = popWDI surface), first 
  outreg dcenIndex rbase przcon prznoncon tnre age mixed majplr Xlaw using Book_QAIIa.IVregression, append replace se 3aster coefastr bdec(2) title (Instrumental Variable Regression)
ivendog
ivreg2 furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcenIndex = popWDI surface)
estimates store ivreg
ivreg2 furpVOTE dcenIndex rbase przcon prznoncon tnre age mixed majplr Xlaw 
estimates store reg
hausman ivreg reg

***************************
* FISCAL DECENTRALIZATION *
***************************

ivreg2 furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (EXPshare05 = popWDI surface), first 
  outreg EXPshare05 rbase przcon prznoncon tnre age mixed majplr Xlaw using Book_QAIIa.IVregression, append replace se 3aster coefastr bdec(2) title (Instrumental Variable Regression)
ivendog
ivreg2 furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (EXPshare05  = popWDI surface)
estimates store ivreg
ivreg2 furpVOTE EXPshare05 rbase przcon prznoncon tnre age mixed majplr Xlaw 
estimates store reg
hausman ivreg reg

***************************************************************************************************************
*                          IV REGRESSION --- ADDITIONAL MODELS NOT IN THE PAPER                               *
***************************************************************************************************************

***************
* VOTE MODELS *
***************

*ALL INSTRUMENTS*
ivreg furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI UKcolony surface noncontig), first 
estimates store ivreg
reg furpVOTE dcen rbase przcon prznoncon tnre age mixed majplr Xlaw
estimates store reg
hausman ivreg reg
ivreg2 furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI UKcolony surface noncontig), first 
ivendog

*POPULATION, SURFACE, AND UKCOLONY INSTRUMENTS*
*(Does not Pass Sargan, but passes Wu-Hausman)
ivreg2 furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface), first 
ivendog

*POPULATION, SURFACE, AND CONTIGUITY INSTRUMENTS*
*(Passes Sargan and Wu-Hausman)*
ivreg furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface noncontig), first 
estimates store ivreg
reg furpVOTE dcen rbase przcon prznoncon tnre age mixed majplr Xlaw
estimates store reg
hausman ivreg reg
ivreg2 furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface noncontig), first 
ivendog

*POPULATION AND SURFACE INSTRUMENTS*
*(Passes Sargan and Wu-Hausman). *Only Population and surface size have significant effect on decentralization in the 1st stage*
ivreg furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface), first 
estimates store ivreg
reg furpVOTE dcen rbase przcon prznoncon tnre age mixed majplr Xlaw 
estimates store reg
hausman ivreg reg
ivreg2 furpVOTE rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface), first 
ivendog


*****************
* NUMBER MODELS *
*****************

*ALL INSTRUMENTS*
*Does not pass Sargan)
ivreg2 furpNUMBER rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI UKcolony surface noncontig), first 
ivendog

*POPULATION, SURFACE, AND UKCOLONY INSTRUMENTS*
(Does not pass Sargan)
ivreg2 furpNUMBER rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI UKcolony surface), first 
ivendog

*POPULATION, SURFACE, AND CONTIGUITY INSTRUMENTS*
(Does not pass Sargan)
ivreg2 furpNUMBER rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI noncontig surface), first 
ivendog

*POPULATION AND SURFACE INSTRUMENTS*
*(Does not pass Sargan, but passes Wu-Hausman)* *Pop and surface are the only significant instruments*
ivreg furpNUMBER rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface), first 
estimates store ivreg
reg furpNUMBER dcen rbase przcon prznoncon tnre age mixed majplr Xlaw
estimates store reg
hausman ivreg reg
ivreg2 furpNUMBER rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface), first 
ivendog

*POPULATION ONLY*
*(Does not pass Sargan, passes Wu Hausman)
ivreg2 furpNUMBER rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI), first 
ivendog

*SURFACE ONLY*
*(Does not pass Sargan, passes Wu Hausman)
ivreg2 furpNUMBER rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = surface), first 
ivendog

***************
* SEAT MODELS *
***************

*ALL INSTRUMENTS*
*Does not pass Sargan [barely], but passes Wu-Hausman)
ivreg2 furpSEAT rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI UKcolony surface noncontig), first 
ivendog

*POPULATION, SURFACE, AND UKCOLONY INSTRUMENTS*
(Does not pass Sargan)
ivreg2 furpSEAT rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI UKcolony surface), first 
ivendog

*POPULATION, SURFACE, AND CONTIGUITY INSTRUMENTS*
(Passes Sargan and Wu Hausman)
ivreg2 furpSEAT rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI noncontig surface), first 
ivendog

*POPULATION AND SURFACE INSTRUMENTS*
*(Passes Sargan and Wu-Hausman)* *Pop and surface are the only significant instruments*
ivreg furpSEAT rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface), first
estimates store ivreg
reg furpSEAT dcen rbase przcon prznoncon tnre age mixed majplr Xlaw
estimates store reg
hausman ivreg reg

ivreg2 furpSEAT rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface), first 
ivendog

***************
* DENAT MODELS*
***************


*ALL INSTRUMENTS*
*Does not pass Sargan or Wu-Hausman)
ivreg2 denat rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI UKcolony surface noncontig), first 
ivendog

*POPULATION, SURFACE, AND UKCOLONY INSTRUMENTS*
(Does not pass Sargan or Wu Hausman)
ivreg2 denat  rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI UKcolony surface), first 
ivendog

*POPULATION, SURFACE, AND CONTIGUITY INSTRUMENTS*
(Does not pass Sargan or Wu Hausman)
ivreg2 denat  rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI noncontig surface), first 
ivendog

*POPULATION AND SURFACE INSTRUMENTS*
*(Does not pass Sargan or Wu-Hausman)* *Pop and surface are the only significant instruments*
ivreg denat rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface), first
estimates store ivreg
reg denat  dcen rbase przcon prznoncon tnre age mixed majplr Xlaw
estimates store reg
hausman ivreg reg

ivreg2 denat rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI surface), first 
ivendog

*POPULATION ONLY*
*(Does not pass Sargan, passes Wu Hausman)
ivreg2 denat rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = popWDI), first 
ivendog

*SURFACE ONLY*
*(Does not pass Sargan, does not pass Wu Hausman)
ivreg2 denat rbase przcon prznoncon tnre age mixed majplr Xlaw (dcen = surface), first 
ivendog
